package com.hzya.frame.sys.databaseFields.dao;

import com.hzya.frame.sys.databaseFields.entity.DatabaseFields;
import java.util.List;

/**
 * @description: 数据库字段表  dao
 * @tableName: sys_database_fields
 * @entityName: DatabaseFields
 * @author: gjh
 * @history: 1.0
 */
public interface IDatabaseFieldsMapper {

        //通过ID获取数据    entity_get
        DatabaseFields entity_get(String id);

        //查询 采用==查询   entity_list_base
        List<DatabaseFields> entity_list_base(DatabaseFields entity);

        //  查询符合条件的数量
        Integer entity_count(DatabaseFields entity);

        //分页查询列表 采用like格式 entity_list_like
        List<DatabaseFields> entity_list_like(DatabaseFields entity);

        //查询列表 字段采用or格式   entity_list_or
        List<DatabaseFields> entity_list_or(DatabaseFields entity);

        //新增  entity_insert
        DatabaseFields entity_insert(DatabaseFields entity);

        //修改  entity_update
        Integer entity_update(DatabaseFields entity);

        //逻辑删除    entity_delete
        Integer entity_logicDelete(DatabaseFields entity);

        //逻辑删除多条件
        Integer entity_logicDelete_Multi_Condition(DatabaseFields entity);

        //物理删除
        Integer entity_delete(DatabaseFields entity);


}
